import { Component, OnInit } from '@angular/core';
import { UserService } from '../../user/services';
import { Router } from '@angular/router';
import { NotificationService } from '../../services';

@Component({
  selector: 'app-welcome',
  templateUrl: './welcome.component.html',
  styleUrls: ['./welcome.component.scss'],
})

export class WelcomeComponent implements OnInit {

  constructor(
    private _userService: UserService,
    private _router: Router,
  ) { }

  ngOnInit(): void { }

  get loggedInUserFullname() {
    return `${this._userService.user.firstName} ${this._userService.user.lastName}`;
  }

  loggout() {
    this._userService.resetAuth();
    this._router.navigate(['/login']);
  }

}
